Next Previous Contents

## 3.116 offsetof

> Function

>   Calculate the offset of a struct or union member.

> Header

>   `stddef.h`

> Declaration

>   `size_t offsetof (type, member);`

> Description

>   `offsetof` calculates the address offset of a `struct` or `union` member.

> Limits

>   - The function is actually a macro.
> Availability

>   ISO 9899

> Example

>   None.

Next Previous Contents